import type { JSX } from '../../stencil-public-runtime';
import type { LabelPropType, TreeAPI, TreeStates } from '../../schema';
export declare class KolTreeWc implements TreeAPI {
    host: HTMLElement;
    state: TreeStates;
    private observer?;
    private treeItemElements?;
    _label: LabelPropType;
    validateLabel(value?: LabelPropType): void;
    render(): JSX.Element;
    private static isTreeItem;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    private observeChildListMutations;
    private handleSlotchange;
    private observeTopLevelItems;
    private getTopLevelTreeItems;
    private handleTreeChange;
    private getTreeItemElements;
    private getOpenTreeItemElements;
    handleKeyDown(event: KeyboardEvent): Promise<void>;
    handleFocusOut(event: FocusEvent): Promise<void>;
    private ensureActiveItemVisibility;
}
